ReferenceReport (gCube Reporting Modeler 1.3.0-3.10.1 API)
Date: 2016-04-09

org.gcube.application.reporting.reference

## Class ReferenceReport

- java.lang.Object
- - org.gcube.application.reporting.component.AbstractComponent
  - - org.gcube.application.reporting.reference.ReferenceReport

- All Implemented Interfaces:
    IsSequentiable, ReportComponent

      public class ReferenceReport
      extends AbstractComponent
      implements IsSequentiable

  Author:
    massi

- - ### Field Summary

    - ### Fields inherited from interface org.gcube.application.reporting.component.interfaces.ReportComponent

      `COMP_HEIGHT, COMP_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceReport(ReferenceReportType refType, List<DBTableRow> references)`
    `ReferenceReport(ReferenceReportType refType, List<DBTableRow> references, boolean singleRelation)`
    `ReferenceReport(String id, ReferenceReportType refType, List<DBTableRow> references)`
    `ReferenceReport(String id, ReferenceReportType refType, List<DBTableRow> references, boolean singleRelation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ReportComponent>` | `getChildren()`
    `org.gcube.portlets.d4sreporting.common.shared.BasicComponent` | `getModelComponent()`
    `List<DBTableRow>` | `getReferences()`
    `ReferenceReportType` | `getRefType()`
    `String` | `getStringValue()`
    `ReportComponentType` | `getType()`
    `boolean` | `hasChildren()`
    `boolean` | `isSingleRelation()`
    `void` | `setRefType(ReferenceReportType refType)`

    - ### Methods inherited from class org.gcube.application.reporting.component.AbstractComponent

      `addProperty, convertProperties, getId, getProperties, setId, setProperties, setProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gcube.application.reporting.component.interfaces.ReportComponent

      `getId, getProperties, setId, setProperties, setProperties`

- - ### Constructor Detail

    - #### ReferenceReport

          public ReferenceReport(ReferenceReportType refType,
                         List<DBTableRow> references)

    - #### ReferenceReport

          public ReferenceReport(String id,
                         ReferenceReportType refType,
                         List<DBTableRow> references)

    - #### ReferenceReport

          public ReferenceReport(String id,
                         ReferenceReportType refType,
                         List<DBTableRow> references,
                         boolean singleRelation)

    - #### ReferenceReport

          public ReferenceReport(ReferenceReportType refType,
                         List<DBTableRow> references,
                         boolean singleRelation)

  - ### Method Detail

    - #### isSingleRelation

          public boolean isSingleRelation()

    - #### getRefType

          public ReferenceReportType getRefType()

    - #### setRefType

          public void setRefType(ReferenceReportType refType)

    - #### getReferences

          public List<DBTableRow> getReferences()

    - #### getType

          public ReportComponentType getType()

      Specified by:
        `getType` in interface `ReportComponent`

    - #### hasChildren

          public boolean hasChildren()

      Specified by:
        `hasChildren` in interface `ReportComponent`
      Specified by:
        `hasChildren` in class `AbstractComponent`

    - #### getChildren

          public List<ReportComponent> getChildren()

      Specified by:
        `getChildren` in interface `ReportComponent`
      Specified by:
        `getChildren` in class `AbstractComponent`

    - #### getStringValue

          public String getStringValue()

      Specified by:
        `getStringValue` in interface `ReportComponent`
      Specified by:
        `getStringValue` in class `AbstractComponent`

    - #### getModelComponent

          public org.gcube.portlets.d4sreporting.common.shared.BasicComponent getModelComponent()

      Specified by:
        `getModelComponent` in interface `ReportComponent`
      Specified by:
        `getModelComponent` in class `AbstractComponent`

Copyright © 2016. All Rights Reserved.